using System;
using System.IO;
using System.Security.Permissions;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Security
{
    public static class Rule2107
    {
        // このメソッドは CA2107 に違反しています。
        public static string ReadFile(string path)
        {
            FileIOPermission permission = new FileIOPermission(PermissionState.Unrestricted);
            permission.Deny();
            return File.ReadAllText(path);
        }
    }
}
